/* =========================
   pages.css (lower pages common)
   - kanei-chakai specs included
========================= */
@import url('variables.css'); 

.page-section {
  padding-top: 80px;
}
.page--officials .under-title {
  padding-bottom: 80px;
}
.page--officials .page-section .container {
  max-width: 850px;
}

/* =========================
   officials
========================= */
.officials {
  display: flex;
  flex-direction: row-reverse;
  gap: 20px;
  justify-content: space-between;
}
.officials__figure {
  width: 240px;
  height: 240px;
  max-width: 100%;
  flex-shrink: 0;
}
.officials__figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
}
.officials__figure:not(:first-of-type) {
  margin-top: 24px;
}
.officials__text {
  width: 460px;
}
h3.officials__title:not(:first-of-type) {
  margin-top: 16px;
}
.officials__name {
  font-size: 22px;
  font-weight: 700;
  display: flex;
  align-items: center;
  gap: 24px;
}
.officials__jp {
  flex-shrink: 0;
}
.officials__en {
  font-size: 14px;
  font-weight: 700;
}
.officials__role {
  display: block;
  font-size: 14px;
  font-weight: 700;
}
.officials__detail {
  padding-top: 24px;
  font-size: 17px;
  font-weight: 400;
  line-height: 1.4;
}

@media screen and (max-width: 480px){
  .officials {
    align-items: center;
    flex-direction: column-reverse;
    gap: 40px;
  }
  .officials__text {
    width: 100%;
  }
  #creator .under-title__text {
    font-size: 36px;
  }
  #creator .under-title__text::before, 
  #creator .under-title__text::after {
    width: 5%;
  }
  .officials__name {
    flex-direction: column;
    align-items: flex-start;
    gap: 7px;
  }
}